MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012042Open CASCADE[OCCT] OCCT:Samplespublic2006-03-29 12:222016-04-20 15:50
Reporterbugmaster 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0012042: Problem with standard Qt-based Import/Export sample application
Description"front" and "right" views of the standard Qt-based Import/Export sample
application are swapped indeed : the "right" one is oriented so that the model
space Y axis points in a direction opposite to the user, and for the "front" one
the X axis points towards the user.

And, in addition: there is no problem with "top view" in this sample application
- orientation of the axes seems to be correct: X to the right, Y in upward
direction, Z towards the user.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0050524)
git (administrator)
2016-02-09 14:31

Branch CR12042 has been created by apn.

SHA-1: ebc91489e0c29db2fd0af3d443c12079ce9c7d4d


Detailed log of new commits:

Author: apn
Date: Tue Feb 9 14:30:52 2016 +0300

    0012042: Problem with standard Qt-based Import/Export sample application
    
    Front and right views in OCCT CSharp/mfc/qt samples were swapped.
(0050538)
apn (administrator)
2016-02-09 15:05

Dear abv, could you please review CR12042.
Front and right views in OCCT CSharp/mfc/qt samples were swapped. Not it's working the same as in draw.
(0050544)
abv (manager)
2016-02-09 16:15

I have no remarks, please integrate (no testing is required)
(0052887)
git (administrator)
2016-04-17 13:40

Branch CR12042 has been deleted by kgv.

SHA-1: ebc91489e0c29db2fd0af3d443c12079ce9c7d4d

- Related Changesets
occt: master 32757c6e
Timestamp: 2016-02-09 11:30:52
Author: abv
Committer: abv
Details ] Diff ]
0012042: Problem with standard Qt-based Import/Export sample application

Front and right views in OCCT CSharp/mfc/qt samples were swapped.
mod - samples/CSharp/OCCTProxy/OCCTProxy.cpp Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxyD3D.cpp Diff ] File ]
mod - samples/CSharp/WinForms/Form1.cs Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/SelectionDialog.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationView3D.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dView.cpp Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2006-03-29 12:22 bugmaster CC => szv
2006-03-29 12:22 bugmaster Status new => assigned
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding
2015-11-01 11:39 abv Category OCCT:Coding => OCCT:Samples
2015-11-01 11:39 abv Fixed in Version EMPTY =>
2015-11-01 11:39 abv Description Updated View Revisions
2015-11-16 16:45 abv Assigned To vtn => apn
2015-11-16 16:45 abv Target Version => 7.0.0
2016-02-09 14:31 git Note Added: 0050524
2016-02-09 15:05 apn Note Added: 0050538
2016-02-09 15:05 apn Test case number => Not needed
2016-02-09 15:05 apn Assigned To apn => abv
2016-02-09 15:05 apn Status assigned => resolved
2016-02-09 16:15 abv Note Added: 0050544
2016-02-09 16:15 abv Assigned To abv => bugmaster
2016-02-09 16:15 abv Status resolved => reviewed
2016-02-12 11:37 abv Changeset attached => occt master 32757c6e
2016-02-12 11:37 abv Assigned To bugmaster => abv
2016-02-12 11:37 abv Status reviewed => verified
2016-02-12 11:37 abv Resolution open => fixed
2016-04-17 13:40 git Note Added: 0052887
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker